# Client

## Exports

### Is Model ATM

Returns whether the given entity model/hash is an ATM or not.

```lua
-- params: entityModel(INT)
exports['t1ger_atmrobbery']:IsModelATM(entityModel)
-- returns boolean(true/false) if given entityModel is an ATM
-- Example:
if IsModelATM(GetEntityModel(entity)) then
    print("entity is an ATM")
end

```

**Returns:**

* Boolean(true/false)

### Is Near ATM

Returns whether the player is near an ATM or not.

```lua
-- params: entityHandle(INT)
exports['t1ger_atmrobbery']:IsNearATM(entityHandle)
-- returns boolean(true/false) if near ATM or not
-- Example:
if IsNearATM(entityHandle) then
    print("player is near ATM")
end

```

**Returns:**

* Boolean(true/false)

### Is Busy ATM

Returns whether the ATM is in use or not.

```lua
-- params: entityHandle(INT)
exports['t1ger_atmrobbery']:IsBusyATM(entityHandle)
-- returns boolean(true/false) if ATM is busy or not
-- Example:
if IsBusyATM(entityHandle) then
    print("this atm is currently being used")
else
    print("u can interact with this atm")
end

```

**Returns:**

* Boolean(true/false)

### Set Busy ATM

Update the busy state of an ATM

<pre class="language-lua"><code class="lang-lua"><strong>-- params: atmEntity(INT), enable(boolean)
</strong>exports['t1ger_atmrobbery']:SetBusyATM(atmEntity, enable)
-- void: updates the busy state of an ATM entity
-- Example:
exports['t1ger_atmrobbery']:SetBusyATM(atmEntity, true)

</code></pre>

## Events

*None*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-atm-robbery/api/client.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
